<?php
if ( ! defined( 'ONLINE_COURIER_SERVICES_VERSION' ) ) {
	define( 'ONLINE_COURIER_SERVICES_VERSION', '0.0.1' );
}

/**
 * Enqueue scripts and styles.
 */
function online_courier_services_scripts() {
	wp_enqueue_style( 'online-courier-services-style', trailingslashit( get_template_directory_uri() ) . 'assets/css/style.css', array(), ONLINE_COURIER_SERVICES_VERSION );

	wp_enqueue_style( 'fontawesome', trailingslashit( get_template_directory_uri() ) . 'assets/css/font-awesome/css/all.css', array(), ONLINE_COURIER_SERVICES_VERSION );

	wp_enqueue_style( 'owl-carousel-css', trailingslashit( get_template_directory_uri() ) . 'assets/css/owl.carousel.css', array(), ONLINE_COURIER_SERVICES_VERSION );

	// Enqueue theme JavaScript
	wp_enqueue_script( 'online-courier-services-theme', trailingslashit( get_template_directory_uri() ) . 'assets/js/theme.js',
	    array( 'jquery' ), ONLINE_COURIER_SERVICES_VERSION,true );

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

}
add_action( 'wp_enqueue_scripts', 'online_courier_services_scripts' );

function online_courier_services_load_dashicons_front_end() {
    wp_enqueue_style( 'dashicons' );
}
add_action( 'wp_enqueue_scripts', 'online_courier_services_load_dashicons_front_end' );

/**
 * Enqueue Editor styles.
 */
function online_courier_services_enqueue_editor_block_styles() {
	// Enqueue editor styles.
	add_editor_style( trailingslashit( get_template_directory_uri() ) . 'assets/css/editor-style.css' );
}
add_action( 'after_setup_theme', 'online_courier_services_enqueue_editor_block_styles' );

/**
 * Pattern categories.
 */
function online_courier_services_register_block_pattern_category() {
	register_block_pattern_category(
		'online-courier-services-banner',
		array(
			'label' => esc_html__( 'Banner', 'online-courier-services' ),
		)
	);
	
	register_block_pattern_category(
		'online-courier-services-services',
		array(
			'label' => esc_html__( 'Services', 'online-courier-services' ),
		)
	);
}
add_action( 'init', 'online_courier_services_register_block_pattern_category' );

/**
 * Add theme support for various features.
 */
function online_courier_services_setup() {

	load_theme_textdomain( 'online-courier-services', get_template_directory() . '/languages' );

	// Add support for block styles.
	add_theme_support( 'wp-block-styles' );
	
	// Add support for editor styles.
	add_theme_support( 'editor-styles' );
	
	// Add support for responsive embedded content.
	add_theme_support( 'responsive-embeds' );
}
add_action( 'after_setup_theme', 'online_courier_services_setup' );

/**
 * Upgrade to Pro
 */
$online_courier_services_pro_customize = trailingslashit( get_template_directory() ) . 'online-courier-services-pro/class-customize.php';
if ( file_exists( $online_courier_services_pro_customize ) ) {
    require_once $online_courier_services_pro_customize;
}

/**
 * Notices
 */
require_once get_parent_theme_file_path( '/activation-notice/class-welcome-notice.php' );

/**getstart*/
$online_courier_services_theme_info = get_template_directory() . '/online-courier-services-get-theme-info.php';
if ( file_exists( $online_courier_services_theme_info ) ) {
    require $online_courier_services_theme_info;
}

if ( ! function_exists( 'online_courier_services_admin_scripts' ) ) :
    function online_courier_services_admin_scripts($hook) {
        wp_enqueue_style( 'online-courier-services-get-theme-info-css', get_template_directory_uri() . '/assets/css/online-courier-services-get-theme-info.css', false ); 
    }
endif;
add_action( 'admin_enqueue_scripts', 'online_courier_services_admin_scripts' );
